Bug 245039 - avc denial of pppd of "signal" to <Unknown> (initrc_t)
avc denial of pppd of "signal" to <Unknown> (initrc_t)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ppp (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Jiri Skala
Fedora Extras Quality Assurance
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-20 13:39 EDT by Markus Keppeler
Modified: 2014-11-09 17:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:40:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Markus Keppeler 2007-06-20 13:39:22 EDT
Today i've gotten a selinux-denial, although everything seems to work fine. Here
is the output of setroubleshoot:

Summary: SELinux is preventing /usr/sbin/pppd (pppd_t) "signal" to (initrc_t).

Detailed Description: SELinux denied access requested by /usr/sbin/pppd. It is
not expected that this access is required by /usr/sbin/pppd and this access may
signal an intrusion attempt. It is also possible that the specific version or
configuration of the application is causing it to require additional access.

Allowing Access: You can generate a local policy module to allow this access -
see FAQ Or you can disable SELinux protection altogether. Disabling SELinux
protection is not recommended. Please file a bug report against this package.

Additional Information:
Source Context:  system_u:system_r:pppd_t
Target Context:  system_u:system_r:initrc_t
Target Objects:  None [ process ]
Affected RPM Packages:  ppp-2.4.4-2 [application]
Policy RPM:  selinux-policy-2.6.4-14.fc7
Selinux Enabled:  True
Policy Type:  targeted
MLS Enabled:  True
Enforcing Mode:  Enforcing
Plugin Name:  plugins.catchall
Host Name:  Zyptix
Platform:  Linux Zyptix 2.6.21-1.3228.fc7 #1 SMP Tue Jun 12 15:37:31 EDT 2007
i686 i686
Alert Count:  1
First Seen:  Mi 20 Jun 2007 18:51:16 CEST
Last Seen:  Mi 20 Jun 2007 18:51:16 CEST
Local ID:  *
Line Numbers:  
Raw Audit Messages:

avc: denied { signal } for comm="pppd" egid=0 euid=0 exe="/usr/sbin/pppd"
exit=-13 fsgid=0 fsuid=0 gid=0 items=0 pid=10722
scontext=system_u:system_r:pppd_t:s0 sgid=0 subj=system_u:system_r:pppd_t:s0
suid=0 tclass=process tcontext=system_u:system_r:initrc_t:s0 tty=(none) uid=0
Comment 1 Bug Zapper 2008-05-14 09:13:14 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 21:40:02 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.